KDE 4.9 PyKDE API Reference

- KDE's Python API

# Installation Class Reference

`from PyKDE4.knewstuff import *`

Namespace: KNS

## Detailed Description

KNewStuff entry installation.

The installation class stores all information related to an entry's installation. However, the installation itself is performed by the engine.

Author:
  Josef Spillner (spillner@kde.org)

Internal:

## Enumerations

Policy | { CheckNever, CheckIfPossible, CheckAlways }
Scope | { ScopeUser, ScopeSystem }

## Methods

| __init__ (self)
| __init__ (self, KNS.Installation a0)
QString | absoluteInstallPath (self)
KNS.Installation.Policy | checksumPolicy (self)
QString | command (self)
bool | customName (self)
QString | installPath (self)
bool | isRemote (self)
KNS.Installation.Scope | scope (self)
| setAbsoluteInstallPath (self, QString dir)
| setChecksumPolicy (self, KNS.Installation.Policy policy)
| setCommand (self, QString command)
| setCustomName (self, bool customname)
| setInstallPath (self, QString dir)
| setScope (self, KNS.Installation.Scope scope)
| setSignaturePolicy (self, KNS.Installation.Policy policy)
| setStandardResourceDir (self, QString dir)
| setTargetDir (self, QString dir)
| setUncompression (self, QString uncompression)
| setUninstallCommand (self, QString command)
KNS.Installation.Policy | signaturePolicy (self)
QString | standardResourceDir (self)
QString | targetDir (self)
QString | uncompression (self)
QString | uninstallCommand (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructor.

__init__ | ( | self, |
|  | KNS.Installation | a0
| ) |  |  |

Constructor.

QString absoluteInstallPath | ( |  | self ) |

KNS.Installation.Policy checksumPolicy | ( |  | self ) |

QString command | ( |  | self ) |

bool customName | ( |  | self ) |

QString installPath | ( |  | self ) |

bool isRemote | ( |  | self ) |

KNS.Installation.Scope scope | ( |  | self ) |

setAbsoluteInstallPath | ( | self, |
|  | QString | dir
| ) |  |  |

setChecksumPolicy | ( | self, |
|  | KNS.Installation.Policy | policy
| ) |  |  |

setCommand | ( | self, |
|  | QString | command
| ) |  |  |

setCustomName | ( | self, |
|  | bool | customname
| ) |  |  |

setInstallPath | ( | self, |
|  | QString | dir
| ) |  |  |

setScope | ( | self, |
|  | KNS.Installation.Scope | scope
| ) |  |  |

setSignaturePolicy | ( | self, |
|  | KNS.Installation.Policy | policy
| ) |  |  |

setStandardResourceDir | ( | self, |
|  | QString | dir
| ) |  |  |

setTargetDir | ( | self, |
|  | QString | dir
| ) |  |  |

setUncompression | ( | self, |
|  | QString | uncompression
| ) |  |  |

setUninstallCommand | ( | self, |
|  | QString | command
| ) |  |  |

KNS.Installation.Policy signaturePolicy | ( |  | self ) |

QString standardResourceDir | ( |  | self ) |

QString targetDir | ( |  | self ) |

QString uncompression | ( |  | self ) |

QString uninstallCommand | ( |  | self ) |

## Enumeration Documentation

Policy

Enumerator:

  CheckNever |
  CheckIfPossible |
  CheckAlways |

Scope

Enumerator:

  ScopeUser |
  ScopeSystem |